This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 237775 - Wrong init script
Wrong init script
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: arptables_jf (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Skala
:
Depends On:
Blocks: 237789 237776 237778
  Show dependency treegraph
 
Reported: 2007-04-25 08:13 EDT by Michal Marciniszyn
Modified: 2014-11-09 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 03:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Marciniszyn 2007-04-25 08:13:17 EDT
Description of problem:
In several occasions, the script may end with return code 0 even when the
service does not start correctly. For example
if [ ! -x /sbin/arptables ]; then
        exit 0
fi

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. change access rights such that /sbin/arptables is not executable
2. service arptables_jf start
3. echo $?
  
Actual results:
0

Expected results:
Non-zero exit code with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd
Comment 4 Michal Nowak 2008-07-14 10:06:20 EDT
/CoreOS/arptables_jf/237776-wrong-init-script
Comment 7 RHEL Product and Program Management 2008-09-09 03:54:15 EDT
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.